package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.TmnBase;
import com.yunfeiyun.agmp.fms.domain.resvo.TmnBaseTypeResVo;

import java.util.List;

/**
 * 设备Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-07-06
 */
public interface TmnBaseMapper 
{
    /**
     * 查询设备
     * 
     * @param tmnId 设备主键
     * @return 设备
     */
    public TmnBase selectTmnBaseByTmnId(String tmnId);

    /**
     * 查询最新一台设备
     *
     * @return 设备
     */
    public TmnBase selectTmnBaseByOne();

    /**
     * 查询设备列表
     * 
     * @param tmnBase 设备
     * @return 设备集合
     */
    public List<TmnBase> selectTmnBaseList(TmnBase tmnBase);

    /**
     * 查询设备类型列表
     * @return 设备集合
     */
    public List<TmnBaseTypeResVo> selectTmnBaseTypeList();

    /**
     * 新增设备
     * 
     * @param tmnBase 设备
     * @return 结果
     */
    public int insertTmnBase(TmnBase tmnBase);

    /**
     * 批量新增设备
     *
     * @param tmnBaseArrayList 设备
     * @return 结果
     */
    public int insertTmnBaseBatch(List<TmnBase> tmnBaseArrayList);

    /**
     * 修改设备
     * 
     * @param tmnBase 设备
     * @return 结果
     */
    public int updateTmnBase(TmnBase tmnBase);

    /**
     * 删除设备
     * 
     * @param tmnId 设备主键
     * @return 结果
     */
    public int deleteTmnBaseByTmnId(String tmnId);

    /**
     * 批量删除设备
     * 
     * @param tmnIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTmnBaseByTmnIds(String[] tmnIds);


    /**
     * 根据设备id查询设备列表
     *
     * @param bizCodeList 设备
     * @return 设备集合
     */
    public List<TmnBase> selectTmnBaseByBizCodeList(String[] bizCodeList);
}
